{% assign is_on_sale = false %}
{% if product.selected_or_first_available_variant.compare_at_price > 0 and product.selected_or_first_available_variant.compare_at_price > product.selected_or_first_available_variant.price %}
  {% assign is_on_sale = true %}
{% endif %}

<h1 class="page-heading">
  {{ product.title }}
  {% comment %}<!-- span class="page-heading-sub">By { { product.vendor | link_to_vendor }}</span -->{% endcomment %}
</h1>

{% if product.selected_or_first_available_variant.sku != blank %}
<div class="prod-col-section product-sku color-lighter">
  <p>SKU: {{ product.selected_or_first_available_variant.sku }}</p>
</div>
{% endif %}

<div class="prod-col-section our-price fs16" itemprop="offers" itemscope itemtype="http://schema.org/Offer">
  <meta itemprop="priceCurrency" content="{{ shop.currency }}" />
  <link itemprop="availability" href="http://schema.org/{% if product.available %}InStock{% else %}OutOfStock{% endif %}" />
  {% if is_on_sale == true %}
  <div class="price-regular">Regular Price: {{ product.selected_or_first_available_variant.compare_at_price | money }}</div>
  <div class="price-discounted fs24" itemprop="price">{{ product.selected_or_first_available_variant.price | money }}</div>
  {% else %}
  <div class="price-regular fs24" itemprop="price">{{ product.price_min | money }}</div>
  {% endif %}
</div>

<div class="prod-col-section product-availability">
  {% if product.available %}
  <div class="success-color">IN STOCK</div>
  {% else %}
  <div class="error-color">OUT OF STOCK</div>
  {% endif %}
</div>

{% if product.metafields.descr.short != blank %}
<div class="prod-col-section product-short-descr">
  {{ product.metafields.descr.short }}
</div>
{% endif %}

{% capture product_url %}{{ shop.url }}{{ product.url }}{% endcapture %}
<div class="prod-col-section qty-add-to-cart">
  {% unless product.options.size == 1 and product.variants[0].title == 'Default Title' %}
  <div class="product-options">
    <span class="pull-right error-color"><sup class="error-color">*</sup> Required fields</span>
    {% for option in product.options_with_values %}
    <div class="product-option">
      <label{% if option.name == 'default' %} class="hidden"{% endif %} for="product-option-selector-{{ forloop.index0 }}">
        {{ option.name }} <sup class="error-color">*</sup>
      </label>
      <select class="product-option-selector" id="product-option-selector-{{ forloop.index0 }}" data-index="{{ forloop.index }}" data-onchange="handle_product_option_change">
      {% for value in option.values %}
        <option value="{{ value | escape }}"{% if option.selected_value == value %} selected="selected"{% endif %}>{{ value }}</option>
      {% endfor %}
      </select>
    </div>
    {% endfor %}
  </div>
  {% endunless %}
  <div class="product-qty-cart-wlsoc">
    <select id="variant_id" class="hidden">
    {% for variant in product.variants %}
      <option value="{{ variant.id }}" data-optionset="{{ variant.option1 | append: ':' | append: variant.option2 | append: ':' | append: variant.option3 }}"{% if product.selected_or_first_available_variant.id == variant.id %} selected=""{% endif %}>{{ variant.id }}</option>
    {% endfor %}
    </select>
    <div class="auto-table">
      <div>
        <div class="contains-qty">
          <label for="qty">Qty:</label>
          <input type="text" class="numerify" name="qty" id="qty" size="4" value="1" min="1" max="20" />
        </div>
        <div class="has-btn-add-to-cart pl15">
          <button type="button" class="btn btn-{% if product.selected_or_first_available_variant.available %}success{% else %}danger{% endif %} btn-add-to-cart fs18 text-upper"{% unless product.selected_or_first_available_variant.available %} disabled="disabled"{% endunless %}>
            {% unless product.selected_or_first_available_variant.available %}
              {{ 'products.product.sold_out' | t }}
            {% else %}
              {{ 'products.product.add_to_cart' | t }}
            {% endunless %}
          </button>
        </div>
      </div>
    </div>
    <div class="add-to-cart-status"></div>
    <div class="product-wishlist-social mt15 pt10 bt1 clearfix">
      <a href="javascript: void(0)" class="btn btn-default mr15 pull-left">Add to Wishlist</a>
      <div class="social-share pull-right">
        <ul>
          <li class="fb"><a href="javascript: void(0)" class="fa-btn" onclick="window.open('https://www.facebook.com/sharer/sharer.php?u={{ product_url | url_encode }}&amp;t={{ product.title | url_encode }}', 'facebook', 'width=640,height=480,left=0,top=0,location=no,status=yes,scrollbars=yes,resizable=yes');" title="Share on Facebook" class="fb facebook"><i class="fa fa-facebook"></i></a></li>
          <li class="tw"><a href="javascript: void(0)" class="fa-btn" onclick="window.open('http://twitter.com/home/?status={{ product.title | url_encode }}%20{{ product_url | url_encode }}', 'twitter', 'width=640,height=480,left=0,top=0,location=no,status=yes,scrollbars=yes,resizable=yes');" title="Tweet" class="fb twitter"><i class="fa fa-twitter"></i></a></li>{% comment %}
          <!-- li class="gp"><a href="javascript: void(0)" class="fa-btn" onclick="window.open('https://plus.google.com/share?url={ { product_url | url_encode }}', 'google', 'width=640,height=480,left=0,top=0,location=no,status=yes,scrollbars=yes,resizable=yes');" title="Share on Google Plus" class="fb googleplus"><i class="fa fa-google-plus"></i></a></li -->{% endcomment %}
          <li class="em"><a class="btn btn-default" href="mailto:?subject=Check out {{ product.title }}&body=Hi, I found this {{ product.title }} and thought you might like it {{ product_url }}"><i class="fa fa-envelope"></i> Email</a></li>
          <li class="pr"><a class="btn btn-default" href="javascript: void(0)" onclick="window.print();"><i class="fa fa-print"></i> Print</a></li>
        </ul>
      </div>
    </div>
  </div>
</div>
